[Qa-jenkins-scm] [jenkins.debian.net] 01/01: reproducible: define mirror+proxy depending on the hostname
Holger Levsen
holger at moszumanska.debian.org
Tue Aug 4 12:02:28 UTC 2015
This is an automated email from the git hooks/post-receive script.
holger pushed a commit to branch master
in repository jenkins.debian.net.
commit 005ed7eeea40a04ef7c8fccd2e51c0fe69bbaed8
Author: Holger Levsen <holger at layer-acht.org>
Date: Tue Aug 4 14:01:22 2015 +0200
reproducible: define mirror+proxy depending on the hostname
---
TODO | 3 ---
bin/common-functions.sh | 12 ++++++++++--
2 files changed, 10 insertions(+), 5 deletions(-)
diff --git a/TODO b/TODO
index 8d1e92d..2723b31 100644
--- a/TODO
+++ b/TODO
@@ -306,11 +306,8 @@ properties:
==== reproducible Debian armhf
-* use ftp.us.d.o on these machines
-* use http://10.0.0.15:8000/ as proxy
* next: fix dpkg '1.18.1.0~reproducible5' to not ftbfs
* next: run pbuilder create jobs via remote job scheduling
-* then: repo overview with binary packages
* then: armhf scheduling (only for testing for now, introduce "arch-factor", eg. amd64=10 and armhf=3, to schedule less on some archs)
* then: armhf building - run the job on jenkins.d.n and build1 on one host and build2 on another and then run debbindiff on jenkins.d.n…
* then: run maintenance job via remote job scheduling
diff --git a/bin/common-functions.sh b/bin/common-functions.sh
index 3e08156..bde8f25 100755
--- a/bin/common-functions.sh
+++ b/bin/common-functions.sh
@@ -53,10 +53,18 @@ else
export LC_ALL=C.UTF-8
fi
if [ -z "$MIRROR" ]; then
- export MIRROR=http://ftp.de.debian.org/debian
+ case $HOSTNAME in
+ jenkins) export MIRROR=http://ftp.de.debian.org/debian ;;
+ bpi0|cbxi4pro0|hb0|wbq0) export MIRROR=http://ftp.de.debian.org/debian ;;
+ *) echo "unsupported host, exiting." ; exit 1 ;;
+ esac
fi
if [ -z "$http_proxy" ]; then
- export http_proxy="http://localhost:3128"
+ case $HOSTNAME in
+ jenkins) export http_proxy="http://localhost:3128" ;;
+ bpi0|cbxi4pro0|hb0|wbq0) export http_proxy="http://10.0.0.15:8000/" ;;
+ *) echo "unsupported host, exiting." ; exit 1 ;;
+ esac
fi
if [ -z "$CHROOT_BASE" ]; then
export CHROOT_BASE=/chroots
--
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/qa/jenkins.debian.net.git
More information about the Qa-jenkins-scm
mailing list